> ## Documentation Index > Fetch the complete documentation index at: https://support.keypro.fi/llms.txt > Use this file to discover all available pages before exploring further. # Create new electric pole > Operation is used to create new electric pole. Available from product version 3.2.2. ## OpenAPI ````json POST /el_poles/ { "openapi": "3.0.4", "info": { "title": "KeyLight REST API", "termsOfService": "https://www.keypro.fi/en/terms-of-service", "contact": { "name": "Keypro Oy", "url": "https://keypro.fi/", "email": "keypro@keypro.fi" }, "license": { "name": "Copyright (C) Keypro Oy. All rights reserved.", "url": "https://www.keypro.fi/" }, "version": "2.0.0" }, "servers": [ { "url": "/api/v2" } ], "tags": [ { "name": "Plan", "description": "Plan related operations." }, { "name": "FreeArea", "description": "FreeArea related operations." }, { "name": "FreeLine", "description": "FreeLine related operations." }, { "name": "FreeText", "description": "FreeText related operations." }, { "name": "FreeTextComponent", "description": "FreeText component related operations." }, { "name": "Address", "description": "Building address related operations." }, { "name": "Apartment", "description": "Building apartments related operations." }, { "name": "Extra Attribute", "description": "Extra attributes related operations." }, { "name": "Extra Value", "description": "Extra attribute values related operations." }, { "name": "EAV Enum", "description": "EAV Enum value related operations." }, { "name": "EAV Enum Group", "description": "EAV Enum group related operations." }, { "name": "External Document", "description": "External documents related operations." }, { "name": "Attached Document", "description": "Attached Documents related operations." }, { "name": "Collections", "description": "Collection related operations." }, { "name": "Source system apartment", "description": "External source system derived apartment related operations." }, { "name": "Source system address", "description": "External source system derived address related operations." }, { "name": "Address alias", "description": "Address aliases related operations" }, { "name": "TxtConstant", "description": "TxtConstants related operations." }, { "name": "Point", "description": "Point objects related operations." }, { "name": "Survey Constant", "description": "Survey Constants related operations." }, { "name": "Survey Point", "description": "Survey Points related operations." }, { "name": "Survey Line String", "description": "Survey Line Strings related operations." }, { "name": "Template Catalog", "description": "Template Catalog related operations." }, { "name": "Route Following", "description": "Route following related operations." }, { "name": "Contact Person", "description": "Contact person related operations." }, { "name": "Contact Person Connection", "description": "Contact person connection related operations." }, { "name": "Electric Premises", "description": "Electric Premises related operations." }, { "name": "Electric Fuse", "description": "Fuse related operations." }, { "name": "Electric Splice", "description": "Electric Splice related operations." }, { "name": "Electric Manhole", "description": "Electric Manhole related operations." }, { "name": "Electric Point Object", "description": "Other electric point objects related operations." }, { "name": "Electric Pole", "description": "Electric Pole related operations." }, { "name": "Streetlight", "description": "Streetlight related operations." }, { "name": "Traffic Signal", "description": "Traffic signal related operations." }, { "name": "Electric Cable", "description": "Electric Cable related operations." }, { "name": "Electric Cable Connection", "description": "Operations related to connecting Electric Cables and Electric endpoints(Streetlights, Splices, Premises)." }, { "name": "Electric Conduit", "description": "Electric Conduit related operations." }, { "name": "Electric Conduit Link", "description": "Operations related to putting Electric Cables and Ducts into Conduits." }, { "name": "Electric Conduit Connection", "description": "Operations related to connecting Conduits and endpoints(Streetlights, Splices, Premises)." }, { "name": "Electric Duct", "description": "Electric Duct related operations." }, { "name": "Electric Duct Link", "description": "Operations related to putting Electric Cables into Ducts." }, { "name": "Electric Routefollower", "description": "Electric Routefollower related operations." }, { "name": "Task", "description": "Task related operations." }, { "name": "Subregion", "description": "Subregion related operations." }, { "name": "SAttribute", "description": "SAttribute related operations." }, { "name": "Fault", "description": "Fault related operations." }, { "name": "Maintenance history", "description": "Maintenance history related operations." }, { "name": "Deflection", "description": "Deflection related operations." }, { "name": "Fault Component", "description": "Fault Component related operations." }, { "name": "Task Comment", "description": "Task comment related operations." }, { "name": "FaultComponentFault", "description": "FaultComponentFault related operations." } ], "paths": { "/el_poles/": { "post": { "tags": [ "Electric Pole" ], "summary": "Create new electric pole", "description": "Operation is used to create new electric pole. Available from product version 3.2.2.\n", "operationId": "createElPole", "requestBody": { "description": "Electric Pole to be created", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/FlatElPole" } } }, "required": true, "x-bodyName": "pole" }, "responses": { "201": { "description": "A created electric pole", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/FlatElPole" }, "example": { "address": null, "base_change_date": null, "base_manufacturer": null, "base_material": null, "base_type": null, "change_date": null, "checkout_year": null, "coating": null, "color": null, "contractor": null, "created_by": "api@keypro.fi", "created_ts": "2018-02-26T12:17:22", "decay_class": null, "engineering_fit": null, "hatch_count": null, "height_accuracy": null, "id": 1001, "install_date": null, "install_year": null, "length": null, "location": "SRID=3067;POINT Z (499160.9904789999709465 6705680.7634800001978874 0.0000000000000000)", "location_accuracy": null, "mapper": "", "mapping_method": null, "material": null, "net_type": 304290, "network_area": 1, "owner": null, "plan": null, "pole_manufacturer": null, "pole_number": "", "pole_type": 302550, "purlin_change_date": null, "purlin_material": null, "purlin_surface": null, "purlin_type": null, "renter": null, "safety_class": null, "shade": null, "stanchion": null, "streetname": "", "survey_amount": "", "trunk": null, "type_drawing": "", "updated_by": "api@keypro.fi", "updated_ts": "2018-02-26T12:17:22", "usage_state": 790, "warranty_exp_date": null, "warranty_period": null } } } }, "400": { "description": "There was an error in request. Usually field validation failed.", "content": { "application/json": { "schema": { "minProperties": 1, "type": "object", "additionalProperties": { "type": "array", "items": { "type": "string", "description": "Validation error" }, "description": "List of validation errors for this fieldname" }, "description": "Fields which failed validation" }, "example": { "pole_type": [ "This field is required." ], "usage_state": [ "This field is required." ] } } } }, "401": { "$ref": "#/components/responses/Http401" } }, "security": [ { "Token": [] } ] } } }, "components": { "schemas": { "FlatElPole": { "required": [ "pole_type", "usage_state" ], "type": "object", "properties": { "address": { "type": "integer", "description": "Id of address" }, "base_change_date": { "type": "string", "description": "Base change date", "format": "date" }, "base_manufacturer": { "type": "integer", "description": "Id of base manufacturer" }, "base_material": { "type": "integer", "description": "Id of base material" }, "base_type": { "type": "integer", "description": "Id of base type" }, "change_date": { "type": "string", "description": "Change data", "format": "date" }, "checkout_year": { "type": "integer", "description": "Checkout year" }, "coating": { "type": "integer", "description": "Id of coating" }, "color": { "type": "integer", "description": "Available from product version 2025.2.0" }, "contractor": { "type": "integer", "description": "Id of contractor" }, "created_by": { "type": "string", "description": "Created by", "readOnly": true }, "created_ts": { "type": "string", "description": "Created timestamp", "format": "date-time", "readOnly": true }, "decay_class": { "type": "integer", "description": "Id of decay class" }, "engineering_fit": { "type": "integer", "description": "Id of engineering fit" }, "hatch_count": { "type": "integer", "description": "Hatch count" }, "height_accuracy": { "type": "integer", "description": "Id of height accuracy" }, "id": { "type": "integer", "description": "Primary key", "readOnly": true }, "install_date": { "type": "string", "description": "Install date", "format": "date" }, "install_year": { "type": "integer", "description": "Install year" }, "lantern_angle": { "type": "integer", "description": "Available from product version 2025.2.0" }, "length": { "type": "number", "description": "Electric Pole length", "format": "float" }, "location": { "type": "string", "description": "Locatin of pole in EWKT", "format": "ewkt" }, "location_accuracy": { "type": "integer", "description": "Id of location accuracy" }, "mapper": { "type": "string", "description": "Survey mapper" }, "mapping_date": { "type": "string", "description": "Mapping date", "format": "date" }, "mapping_method": { "type": "integer", "description": "Id of mapping method" }, "material": { "type": "integer", "description": "Id of material" }, "net_type": { "type": "integer", "description": "Id of net type" }, "network_area": { "type": "integer", "description": "Id of network area" }, "owner": { "type": "integer", "description": "Id of owner" }, "plan": { "type": "integer", "description": "Id of plan" }, "pole_manufacturer": { "type": "integer", "description": "Id of electric pole manufacturer" }, "pole_number": { "type": "string", "description": "Electric Pole number" }, "pole_type": { "type": "integer", "description": "Id of electric pole type" }, "purlin_change_date": { "type": "string", "description": "Pole purlin date. Available from product version 2025.2.0", "format": "date-time" }, "purlin_material": { "type": "integer", "description": "Available from product version 2025.2.0" }, "purlin_surface": { "type": "integer", "description": "Available from product version 2025.2.0" }, "purlin_type": { "type": "integer", "description": "Available from product version 2025.2.0" }, "remarks": { "type": "string", "description": "Remarks. Available from product version 3.2.14." }, "renter": { "type": "integer", "description": "Id of renter" }, "safety_class": { "type": "integer", "description": "Id of safety class" }, "shade": { "type": "integer", "description": "Id of shade" }, "stanchion": { "type": "integer", "description": "Id of stanchion" }, "streetname": { "type": "string", "description": "Street name" }, "survey_amount": { "type": "string", "description": "Survey amount" }, "trunk": { "type": "integer", "description": "Id of trunk" }, "type_drawing": { "type": "string", "description": "Type drawing" }, "updated_by": { "type": "string", "description": "Last updated by", "readOnly": true }, "updated_ts": { "type": "string", "description": "Last updated timestamp", "format": "date-time", "readOnly": true }, "usage_state": { "type": "integer", "description": "Id of state" }, "warranty_exp_date": { "type": "string", "description": "Warranty expiration date", "format": "date" }, "warranty_period": { "type": "integer", "description": "Warranty period in months" } } }, "ErrorDetailsResponse": { "required": [ "details" ], "type": "object", "properties": { "details": { "type": "string", "description": "Detailed description of error" } }, "description": "Standard error response payload" } }, "responses": { "Http401": { "description": "Authentication credentials are missing or invalid", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ErrorDetailsResponse" }, "example": { "details": "Authentication credentials were not provided" } } } } }, "securitySchemes": { "Token": { "type": "apiKey", "description": "Token issued for API consumer.", "name": "Authorization", "in": "header" } } } } ````